package com.inspect.metadata.montdata.service.impl;

import com.inspect.metadata.montdata.domain.BasedataMontTaskStaData;
import com.inspect.metadata.montdata.mapper.BasedataMontTaskStaDataMapper;
import com.inspect.metadata.montdata.service.IBasedataMontTaskStaDataService;
import com.inspect.base.core.utils.DateUtils;

import java.util.List;

import org.springframework.stereotype.Service;

@Service
public class BasedataMontTaskStaDataServiceImpl implements IBasedataMontTaskStaDataService {
    private final BasedataMontTaskStaDataMapper basedataMontTaskStaDataMapper;

    public BasedataMontTaskStaDataServiceImpl(BasedataMontTaskStaDataMapper basedataMontTaskStaDataMapper) {
        this.basedataMontTaskStaDataMapper = basedataMontTaskStaDataMapper;
    }

    public BasedataMontTaskStaData selectBasedataMontTaskStaDataByTaskStaDataId(Long taskStaDataId) {
        return this.basedataMontTaskStaDataMapper.selectBasedataMontTaskStaDataByTaskStaDataId(taskStaDataId);
    }

    public List<BasedataMontTaskStaData> selectBasedataMontTaskStaDataList(BasedataMontTaskStaData basedataMontTaskstadata) {
        return this.basedataMontTaskStaDataMapper.selectBasedataMontTaskStaDataList(basedataMontTaskstadata);
    }

    public int insertBasedataMontTaskStaData(BasedataMontTaskStaData basedataMontTaskstadata) {
        basedataMontTaskstadata.setCreateTime(DateUtils.getNowDate());
        return this.basedataMontTaskStaDataMapper.insertBasedataMontTaskStaData(basedataMontTaskstadata);
    }

    public int updateBasedataMontTaskStaData(BasedataMontTaskStaData basedataMontTaskstadata) {
        return this.basedataMontTaskStaDataMapper.updateBasedataMontTaskStaData(basedataMontTaskstadata);
    }

    public int deleteBasedataMontTaskStaDataByTaskStaDataIds(Long[] taskStaDataIds) {
        return this.basedataMontTaskStaDataMapper.deleteBasedataMontTaskStaDataByTaskStaDataIds(taskStaDataIds);
    }

    public int deleteBasedataMontTaskStaDataByTaskStaDataId(Long taskStaDataId) {
        return this.basedataMontTaskStaDataMapper.deleteBasedataMontTaskStaDataByTaskStaDataId(taskStaDataId);
    }
}
